<app-menu></app-menu>
<br>

<div class="container">
  <h3>Записи</h3>
  <div class="form-group">
    <label>Дата:</label>
    <input type="date" class="form-control" #start_date />

    <label>Время начала</label>
    <input type="time" class="form-control" #start_time />

    <label>Время окончания</label>
    <input type="time" class="form-control" #end_time />

    <label for="doctor">Доктор</label>
    <select class="form-control" id="doctor" #doctor>
      <option *ngFor="let doctor of doctors" [value]="doctor.surname">{{doctor.surname}} {{doctor.name}}</option>
    </select>

    <label for="doctor">Пациент</label>
    <select class="form-control" id="patient" #patient>
      <option *ngFor="let patient of patients" [value]="patient.surname">{{patient.surname}} {{patient.name}}</option>
    </select>
  </div>

  <!-- (click) passes input value to add() and then clears the input -->
  <button class="btn btn-success" (click)="add(start_date.value, start_time.value, end_time.value, doctor.value, patient.value)">
    Добавить
  </button>

</div>

<br>

<div class="container">
  <ul class="list-group">
    <li class="list-group-item" *ngFor="let shedule of shedules">
      {{shedule.start}} {{ shedule.end }} {{shedule.title}}
      <button class="btn btn-warning" (click)="delete(shedule._id)">
        Удалить
      </button>
    </li>
  </ul>
</div>
